function [InteriorCandidatesMask, InteriorCandidatesIdx, BoundaryCandidatesIdx,new_nodes,gone_nodes] = FrontMovementUpdates...
    (InsideMask, InteriorMask, BoundaryMask, InsideOldMask, InteriorOldMask, BoundaryOldMask)

    InteriorCandidatesMask = InteriorMask & InteriorOldMask;
    InteriorCandidatesIdx = find(InteriorCandidatesMask);
    BoundaryCandidatesIdx = find(InsideOldMask & ~InteriorCandidatesMask);
    new_nodes = find(BoundaryMask & ~InsideOldMask);
    gone_nodes = find(BoundaryOldMask & ~InsideMask);

end 
